# GCC_ConnectGCCPDU Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_conferenceCreateRequest, e_conferenceCreateResponse, e_conferenceQueryRequest, e_conferenceQueryResponse, e_conferenceJoinRequest, e_conferenceJoinResponse, e_conferenceInviteRequest, e_conferenceInviteResponse }

## Public Member Functions

| GCC_ConnectGCCPDU (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator GCC_ConferenceCreateRequest & ()
| operator const GCC_ConferenceCreateRequest & () const
| operator GCC_ConferenceCreateResponse & ()
| operator const GCC_ConferenceCreateResponse & () const
| operator GCC_ConferenceQueryRequest & ()
| operator const GCC_ConferenceQueryRequest & () const
| operator GCC_ConferenceQueryResponse & ()
| operator const GCC_ConferenceQueryResponse & () const
| operator GCC_ConferenceJoinRequest & ()
| operator const GCC_ConferenceJoinRequest & () const
| operator GCC_ConferenceJoinResponse & ()
| operator const GCC_ConferenceJoinResponse & () const
| operator GCC_ConferenceInviteRequest & ()
| operator const GCC_ConferenceInviteRequest & () const
| operator GCC_ConferenceInviteResponse & ()
| operator const GCC_ConferenceInviteResponse & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_ConnectGCCPDU::Choices

Enumerator:

  e_conferenceCreateRequest |
  e_conferenceCreateResponse |
  e_conferenceQueryRequest |
  e_conferenceQueryResponse |
  e_conferenceJoinRequest |
  e_conferenceJoinResponse |
  e_conferenceInviteRequest |
  e_conferenceInviteResponse |

## Constructor & Destructor Documentation

GCC_ConnectGCCPDU::GCC_ConnectGCCPDU | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

GCC_ConnectGCCPDU::operator GCC_ConferenceCreateRequest & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceCreateRequest & | ( |  | ) | const

GCC_ConnectGCCPDU::operator GCC_ConferenceCreateResponse & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceCreateResponse & | ( |  | ) | const

GCC_ConnectGCCPDU::operator GCC_ConferenceQueryRequest & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceQueryRequest & | ( |  | ) | const

GCC_ConnectGCCPDU::operator GCC_ConferenceQueryResponse & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceQueryResponse & | ( |  | ) | const

GCC_ConnectGCCPDU::operator GCC_ConferenceJoinRequest & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceJoinRequest & | ( |  | ) | const

GCC_ConnectGCCPDU::operator GCC_ConferenceJoinResponse & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceJoinResponse & | ( |  | ) | const

GCC_ConnectGCCPDU::operator GCC_ConferenceInviteRequest & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceInviteRequest & | ( |  | ) | const

GCC_ConnectGCCPDU::operator GCC_ConferenceInviteResponse & | ( |  | ) |

GCC_ConnectGCCPDU::operator const GCC_ConferenceInviteResponse & | ( |  | ) | const

PBoolean GCC_ConnectGCCPDU::CreateObject | ( |  | ) |

PObject* GCC_ConnectGCCPDU::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h